@import "../3rdpartyapps/@gov-design-system-ce/styles/lib/tokens.css";
@import "../3rdpartyapps/@gov-design-system-ce/styles/lib/styles.css";
@import "../3rdpartyapps/@gov-design-system-ce/styles/lib/layout.css";
@import
	"../3rdpartyapps/@gov-design-system-ce/styles/lib/components.css";

html, body {
	--gov-theme: light;
	color-scheme: light;
}

:root {
	--text-emphasis-red: var(--color-secondary-600); /* z vera-tokens.css */
	--icon-emphasis-red: var(--color-secondary-600);

	--text-emphasis-green: var(--color-success-600); /* z Gov Design Systému */
	--icon-emphasis-green: var(--color-success-600);

	--background-dropdown: var(--background-primary-subtle); /* z Gov DS */

	--icon-muted: var(--color-neutral-400); /* z Gov DS */

	--border-login: var(--border-primary); /* z Gov DS */
	--border-login-hover: var(--button-solid-primary-hover); /* z Gov DS */

	--background-tile-hover: var(--color-primary-100);


	--background-payment-header: #f0d3d3; /* světle růžová pro nadpisy plateb */
	--background-section-header: #BFC5E3; /* světle fialová pro sekce */
	--button-disabled-custom: #5e5f60; /* tmavě šedá pro specifické disabled tlačítko */
}

.dotacni-program-detail {
	--form-state-value-disabled: var(--text-primary);
	--form-state-label-disabled: var(--text-primary);
}

#ModalPrihlasitPsa,
#ModalDetailPrihlasenehoPsa {
	--form-state-value-disabled: var(--text-primary);
	--form-state-label-disabled: var(--text-primary);
}

gov-button[type=solid][color=primary]>button>svg {
	color: var(--color, var(--text-white-fixed));
	fill: var(--color, var(--text-white-fixed));
}

gov-button[type=solid][color=primary]>a>svg {
	color: var(--color, var(--text-white-fixed));
	fill: var(--color, var(--text-white-fixed));
}

gov-button[type=solid][color=secondary]>button>svg {
	color: var(--color, var(--text-black-fixed));
	fill: var(--color, var(--text-black-fixed));
}

gov-button[type=solid][color=secondary]>a>svg {
	color: var(--color, var(--text-black-fixed));
	fill: var(--color, var(--text-black-fixed));
}

:where(gov-button[size=s]) svg {
	width: var(--icon-size-s);
	height: var(--icon-size-s);
}

:where(gov-button[size=m]) svg {
	width: var(--icon-size-m);
	height: var(--icon-size-m);
}

:where(gov-button[size=l]) svg {
	width: var(--icon-size-l);
	height: var(--icon-size-l);
}

.vera-icon-size-xs {
	width: var(--icon-size-xs);
	height: var(--icon-size-xs);
}

.vera-icon-size-s {
	width: var(--icon-size-s);
	height: var(--icon-size-s);
}

.vera-icon-size-m {
	width: var(--icon-size-m);
	height: var(--icon-size-m);
}

.vera-icon-size-l {
	width: var(--icon-size-l);
	height: var(--icon-size-l);
}

.vera-icon-size-xl {
	width: var(--icon-size-xl);
	height: var(--icon-size-xl);
}

.vera-icon-size-2xl {
	width: var(--icon-size-2xl);
	height: var(--icon-size-2xl);
}

.vera-icon-size-3xl {
	width: var(--icon-size-3xl);
	height: var(--icon-size-3xl);
}

.vera-icon-size-4xl {
	width: var(--icon-size-4xl);
	height: var(--icon-size-4xl);
}

.vera-icon-size-5xl {
	width: var(--icon-size-5xl);
	height: var(--icon-size-5xl);
}